Update Line Items

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Workflow

  1. To get the order id, you can use the GET orders endpoint.
  2. To get the line item id, you can use the GET skus endpoint. You can filter by product id.
  3. Use this id in this endpoint to update your quantities.

Discounts:

You can apply discounts at the SKU line item level. To do that, you can use one of the following 3 fields: "item_price", "discount_amount" or "discount_percentage".

  • item_price: The final price of an SKU after discounts have been applied (discounted price).
  • discount_amount: A discount value that will be subtracted from "wholesale_price". The new "item_price" will be calculated using the formula: "item_price = wholesale_price - discount_amount".
  • discount_percentage: A discount percentage to be applied to "wholesale_price". The new "item_price" will be calculated using the formula: "item_price = wholesale_price - wholesale_price * discount_percentage / 100". The "discount_percentage" value must be between 0 and 100.

For each of those 3 fields, only one of these three fields can be used per SKU. If more than one per SKU is specified, the request will be rejected with the following error: "Multiple discounts for the same SKU are not allowed. Please include only one of the following fields: item_price, discount_percentage, discount_amount."

Note 1: You can only update an order's Order Line Items if the Order is in the In Progres, Notes, or Pending status. If you want to update an Order in other statuses, you must change its status to one of the above statuses first.

📘

Line Item Object References

Click on "Add Object" below to view the reference documentation for updating a line item.

Query Params
string
required
Defaults to ******
Body Params
RAW_BODY
array of objects
required
RAW_BODY*
Headers
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json